Create a webhook subscription at the application level.
clientKey can be received upon obtaining client credentials from our tech support.
Security
ClientCredentialsToken
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
A custom name for your webhook to ease with identification.
Example:"Webhook Subscription #1"
- Production Environmenthttps://api.wise.com/v3/applications/{clientKey}/subscriptions
- Sandbox Environmenthttps://api.wise-sandbox.com/v3/applications/{clientKey}/subscriptions
curl -i -X POST \
'https://api.wise.com/v3/applications/{clientKey}/subscriptions' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-d '{
"name": "Webhook Subscription #1",
"trigger_on": "transfers#state-change",
"delivery": {
"version": "4.0.0",
"url": "https://your.webhook.url/12345"
}
}'OK
Headers
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
UUID that uniquely identifies the subscription.
Example:"72195556-e5cb-495e-a010-b37a4f2a3043"
A custom name for your webhook to ease with identification.
Example:"Webhook Subscription #1"
The event type this subscription is listening for. List of available events.
Example:"transfers#state-change"
Response
{ "id": "72195556-e5cb-495e-a010-b37a4f2a3043", "name": "Webhook Subscription #1", "trigger_on": "transfers#state-change", "delivery": { "version": "4.0.0", "url": "https://your.webhook.url/12345" }, "scope": { "domain": "application", "id": "<your client key>" }, "created_by": { "type": "application", "id": "<your client ID>" }, "created_at": "2019-10-10T13:55:57Z" }